<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.5.3.11
Name: Condizioni del paziente e diagnosi alla dimissione (LDO)
Description: Condizioni del paziente e diagnosi alla dimissione 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000">
   <title>Condizioni del paziente e diagnosi alla dimissione (LDO)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.11
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]]
Item: (Condizioni_del_paziente_e_diagnosi_alla_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.11
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]
Item: (Condizioni_del_paziente_e_diagnosi_alla_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]"
         id="d42e10844-false-d272379e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Condizioni_del_paziente_e_diagnosi_alla_dimissione): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Condizioni_del_paziente_e_diagnosi_alla_dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']) &gt;= 1">(Condizioni_del_paziente_e_diagnosi_alla_dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']) &lt;= 1">(Condizioni_del_paziente_e_diagnosi_alla_dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Condizioni_del_paziente_e_diagnosi_alla_dimissione): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '11535-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Condizioni_del_paziente_e_diagnosi_alla_dimissione): element hl7:code[(@code = '11535-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Condizioni_del_paziente_e_diagnosi_alla_dimissione): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Condizioni_del_paziente_e_diagnosi_alla_dimissione): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.11
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']
Item: (Condizioni_del_paziente_e_diagnosi_alla_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']"
         id="d42e10850-false-d272430e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.5.3.11')">(Condizioni_del_paziente_e_diagnosi_alla_dimissione): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.5.3.11'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.11
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]/hl7:id
Item: (Condizioni_del_paziente_e_diagnosi_alla_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.11
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]/hl7:code[(@code = '11535-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Condizioni_del_paziente_e_diagnosi_alla_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]/hl7:code[(@code = '11535-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e10857-false-d272450e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.html"
              test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')">(Condizioni_del_paziente_e_diagnosi_alla_dimissione): The element value SHALL be one of 'code '11535-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.11
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]/hl7:title
Item: (Condizioni_del_paziente_e_diagnosi_alla_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.11
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.11']]/hl7:text
Item: (Condizioni_del_paziente_e_diagnosi_alla_dimissione)
-->
</pattern>
