<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.5.3.3
Name: Anamnesi (LDO)
Description: Anamnesi
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000">
   <title>Anamnesi (LDO)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.3
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]
Item: (Anamnesi)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.3
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]
Item: (Anamnesi)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]"
         id="d42e11025-false-d272966e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Anamnesi): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Anamnesi): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']) &gt;= 1">(Anamnesi): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']) &lt;= 1">(Anamnesi): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Anamnesi): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Anamnesi): element hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Anamnesi): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Anamnesi): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.3
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']
Item: (Anamnesi)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']"
         id="d42e11031-false-d273017e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.5.3.3')">(Anamnesi): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.5.3.3'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.3
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]/hl7:id
Item: (Anamnesi)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.3
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]/hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Anamnesi)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]/hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e11038-false-d273037e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.html"
              test="@nullFlavor or (@code='11329-0' and @codeSystem='2.16.840.1.113883.6.1')">(Anamnesi): The element value SHALL be one of 'code '11329-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.3
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]/hl7:title
Item: (Anamnesi)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.3
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.3']]/hl7:text
Item: (Anamnesi)
-->
</pattern>
