<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.5.3.8
Name: Procedure eseguite durante il ricovero (LDO)
Description: Procedure eseguite durante il ricovero
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000">
   <title>Procedure eseguite durante il ricovero (LDO)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]]
Item: (Procedure_eseguite_durante_il_ricovero)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]
Item: (Procedure_eseguite_durante_il_ricovero)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]"
         id="d42e11226-false-d273556e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Procedure_eseguite_durante_il_ricovero): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Procedure_eseguite_durante_il_ricovero): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']) &gt;= 1">(Procedure_eseguite_durante_il_ricovero): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']) &lt;= 1">(Procedure_eseguite_durante_il_ricovero): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Procedure_eseguite_durante_il_ricovero): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '29554-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Procedure_eseguite_durante_il_ricovero): element hl7:code[(@code = '29554-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Procedure_eseguite_durante_il_ricovero): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Procedure_eseguite_durante_il_ricovero): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']
Item: (Procedure_eseguite_durante_il_ricovero)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']"
         id="d42e11232-false-d273607e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.5.3.8')">(Procedure_eseguite_durante_il_ricovero): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.5.3.8'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]/hl7:id
Item: (Procedure_eseguite_durante_il_ricovero)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]/hl7:code[(@code = '29554-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Procedure_eseguite_durante_il_ricovero)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]/hl7:code[(@code = '29554-3' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e11239-false-d273627e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.html"
              test="@nullFlavor or (@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')">(Procedure_eseguite_durante_il_ricovero): The element value SHALL be one of 'code '29554-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]/hl7:title
Item: (Procedure_eseguite_durante_il_ricovero)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.8
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.8']]/hl7:text
Item: (Procedure_eseguite_durante_il_ricovero)
-->
</pattern>
