<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.51
Name: Encounter Activity (VPS)
Description: Encounter Activity
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000">
   <title>Encounter Activity (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]
Item: (Encounter_Activity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]
Item: (Encounter_Activity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]"
         id="d42e13639-false-d358447e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="string(@classCode) = ('ENC')">(Encounter_Activity): The value for classCode SHALL be 'ENC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN')">(Encounter_Activity): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']) &gt;= 1">(Encounter_Activity): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']) &lt;= 1">(Encounter_Activity): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:code) &lt;= 1">(Encounter_Activity): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:text) &lt;= 1">(Encounter_Activity): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Encounter_Activity): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Encounter_Activity): element hl7:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']
Item: (Encounter_Activity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']"
         id="d42e13645-false-d358630e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.51')">(Encounter_Activity): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.51'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:id
Item: (Encounter_Activity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:code
Item: (Encounter_Activity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:text
Item: (Encounter_Activity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:effectiveTime
Item: (Encounter_Activity)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:effectiveTime"
         id="d42e13683-false-d358665e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:low) &gt;= 1">(Encounter_Activity): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:low) &lt;= 1">(Encounter_Activity): element hl7:low appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:high) &gt;= 1">(Encounter_Activity): element hl7:high is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:high) &lt;= 1">(Encounter_Activity): element hl7:high appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:effectiveTime/hl7:low
Item: (Encounter_Activity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:effectiveTime/hl7:high
Item: (Encounter_Activity)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]
Item: (Encounter_Activity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]">
      <extends rule="d358936e0-false-d358940e0"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (('ADM')))])">(Encounter_Activity): The value for typeCode SHALL be 'code ADM'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:time
Item: (particpip)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole
Item: (particpip)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole">
      <extends rule="d358936e22-false-d359040e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.5-2018-03-19T000000.html"
              test="count(hl7:id) &gt;= 1">(particpip): element hl7:id is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:id
Item: (particpip)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (particpip)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity">
      <extends rule="d358858e0-false-d358864e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.5-2018-03-19T000000.html"
              test="count(hl7:name) &gt;= 1">(particpip): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.5-2018-03-19T000000.html"
              test="count(hl7:name) &lt;= 1">(particpip): element hl7:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (particpip)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAPlayingEntity)
-->
   <rule fpi="RULC-1" id="d358858e0-false-d358864e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAPlayingEntity): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPlayingEntity): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAPlayingEntity): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAPlayingEntity): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:quantity
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1" id="d358936e0-false-d358940e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBody): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CDAParticipantBody): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.10901' ParticipationType (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(CDAParticipantBody): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:time) &lt;= 1">(CDAParticipantBody): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDAParticipantBody): element hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole) &gt;= 1">(CDAParticipantBody): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole) &lt;= 1">(CDAParticipantBody): element hl7:participantRole appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:time
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDAParticipantBody): The element value SHALL be one of '2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1" id="d358936e22-false-d359040e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode) = ('ROL') or not(@classCode)">(CDAParticipantBody): The value for classCode SHALL be 'ROL'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAParticipantBody): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice | hl7:playingEntity)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="$elmcount &lt;= 1">(CDAParticipantBody): choice (hl7:playingDevice  or  hl7:playingEntity) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:scopingEntity) &lt;= 1">(CDAParticipantBody): element hl7:scopingEntity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:code
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingDevice
Item: (CDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingDevice">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(CDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(CDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(CDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:code
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:softwareName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAPlayingEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAPlayingEntity): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPlayingEntity): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAPlayingEntity): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAPlayingEntity): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:quantity
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAParticipantBody): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAParticipantBody): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAParticipantBody): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAParticipantBody): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ADM'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]
Item: (Encounter_Activity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]">
      <extends rule="d359612e0-false-d359616e0"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (('ATND')))])">(Encounter_Activity): The value for typeCode SHALL be 'code ATND'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:time
Item: (particpip)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole
Item: (particpip)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole">
      <extends rule="d359612e22-false-d359716e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.5-2018-03-19T000000.html"
              test="count(hl7:id) &gt;= 1">(particpip): element hl7:id is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:id
Item: (particpip)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (particpip)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity">
      <extends rule="d359534e0-false-d359540e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.5-2018-03-19T000000.html"
              test="count(hl7:name) &gt;= 1">(particpip): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.5-2018-03-19T000000.html"
              test="count(hl7:name) &lt;= 1">(particpip): element hl7:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (particpip)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAPlayingEntity)
-->
   <rule fpi="RULC-1" id="d359534e0-false-d359540e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAPlayingEntity): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPlayingEntity): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAPlayingEntity): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAPlayingEntity): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:quantity
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1" id="d359612e0-false-d359616e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBody): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CDAParticipantBody): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.10901' ParticipationType (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(CDAParticipantBody): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:time) &lt;= 1">(CDAParticipantBody): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDAParticipantBody): element hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole) &gt;= 1">(CDAParticipantBody): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole) &lt;= 1">(CDAParticipantBody): element hl7:participantRole appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:time
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDAParticipantBody): The element value SHALL be one of '2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1" id="d359612e22-false-d359716e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode) = ('ROL') or not(@classCode)">(CDAParticipantBody): The value for classCode SHALL be 'ROL'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAParticipantBody): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice | hl7:playingEntity)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="$elmcount &lt;= 1">(CDAParticipantBody): choice (hl7:playingDevice  or  hl7:playingEntity) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:scopingEntity) &lt;= 1">(CDAParticipantBody): element hl7:scopingEntity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:code
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingDevice
Item: (CDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingDevice">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(CDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(CDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(CDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:code
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:softwareName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAPlayingEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAPlayingEntity): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPlayingEntity): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAPlayingEntity): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAPlayingEntity): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:quantity
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAParticipantBody): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAParticipantBody): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAParticipantBody): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAParticipantBody): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'ATND'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]
Item: (Encounter_Activity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]">
      <extends rule="d360288e0-false-d360292e0"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (('DIS')))])">(Encounter_Activity): The value for typeCode SHALL be 'code DIS'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:time
Item: (particpip)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole
Item: (particpip)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole">
      <extends rule="d360288e22-false-d360392e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.5-2018-03-19T000000.html"
              test="count(hl7:id) &gt;= 1">(particpip): element hl7:id is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:id
Item: (particpip)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (particpip)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity">
      <extends rule="d360210e0-false-d360216e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.5-2018-03-19T000000.html"
              test="count(hl7:name) &gt;= 1">(particpip): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.5-2018-03-19T000000.html"
              test="count(hl7:name) &lt;= 1">(particpip): element hl7:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.5
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (particpip)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAPlayingEntity)
-->
   <rule fpi="RULC-1" id="d360210e0-false-d360216e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAPlayingEntity): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPlayingEntity): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAPlayingEntity): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAPlayingEntity): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:quantity
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1" id="d360288e0-false-d360292e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBody): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CDAParticipantBody): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.10901' ParticipationType (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(CDAParticipantBody): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:time) &lt;= 1">(CDAParticipantBody): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDAParticipantBody): element hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole) &gt;= 1">(CDAParticipantBody): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole) &lt;= 1">(CDAParticipantBody): element hl7:participantRole appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:time
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDAParticipantBody): The element value SHALL be one of '2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1" id="d360288e22-false-d360392e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode) = ('ROL') or not(@classCode)">(CDAParticipantBody): The value for classCode SHALL be 'ROL'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAParticipantBody): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice | hl7:playingEntity)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="$elmcount &lt;= 1">(CDAParticipantBody): choice (hl7:playingDevice  or  hl7:playingEntity) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:scopingEntity) &lt;= 1">(CDAParticipantBody): element hl7:scopingEntity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:code
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingDevice
Item: (CDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingDevice">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(CDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(CDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(CDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:code
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:softwareName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAPlayingEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAPlayingEntity): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPlayingEntity): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAPlayingEntity): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAPlayingEntity): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:quantity
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAParticipantBody): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAParticipantBody): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAParticipantBody): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAParticipantBody): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[@typeCode = 'DIS'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]
Item: (Encounter_Activity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]">
      <extends rule="d360876e0-false-d360880e0"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (('LOC')))])">(Encounter_Activity): The value for typeCode SHALL be 'code LOC'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]) &gt;= 1">(Encounter_Activity): element hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="count(hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]) &lt;= 1">(Encounter_Activity): element hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.6
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:time
Item: (particpcolloc)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.6
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]
Item: (particpcolloc)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.6-2018-03-19T000000.html"
              test="string(@classCode) = ('SDLOC') or not(@classCode)">(particpcolloc): The value for classCode SHALL be 'SDLOC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.6-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']) &gt;= 1">(particpcolloc): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.6-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']) &lt;= 1">(particpcolloc): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.6-2018-03-19T000000.html"
              test="count(hl7:id) &gt;= 1">(particpcolloc): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.6-2018-03-19T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(particpcolloc): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.6
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']
Item: (particpcolloc)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.6-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.64')">(particpcolloc): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.64'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.6
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]/hl7:id
Item: (particpcolloc)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.6
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (particpcolloc)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.6-2018-03-19T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.10-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(particpcolloc): The element value SHALL be one of '2.16.840.1.113883.2.9.1.11.1.2.10 TipoLuogo_VPS (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1" id="d360876e0-false-d360880e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBody): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CDAParticipantBody): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.10901' ParticipationType (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(CDAParticipantBody): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:time) &lt;= 1">(CDAParticipantBody): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDAParticipantBody): element hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole) &gt;= 1">(CDAParticipantBody): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole) &lt;= 1">(CDAParticipantBody): element hl7:participantRole appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:time
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDAParticipantBody): The element value SHALL be one of '2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode) = ('ROL') or not(@classCode)">(CDAParticipantBody): The value for classCode SHALL be 'ROL'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAParticipantBody): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice | hl7:playingEntity)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="$elmcount &lt;= 1">(CDAParticipantBody): choice (hl7:playingDevice  or  hl7:playingEntity) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:scopingEntity) &lt;= 1">(CDAParticipantBody): element hl7:scopingEntity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:code
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingDevice
Item: (CDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingDevice">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(CDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(CDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(CDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingDevice/hl7:code
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingDevice/hl7:softwareName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingEntity
Item: (CDAPlayingEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAPlayingEntity): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPlayingEntity): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAPlayingEntity): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAPlayingEntity): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingEntity/hl7:quantity
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAParticipantBody): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAParticipantBody): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAParticipantBody): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAParticipantBody): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.64']]]/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.51
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.47']]]
Item: (Encounter_Activity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.51']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.47']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="string(@typeCode) = ('SUBJ')">(Encounter_Activity): The value for typeCode SHALL be 'SUBJ'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="string(@contextConductionInd) = ('true')">(Encounter_Activity): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(Encounter_Activity): Attribute @inversionInd SHALL be of data type 'bl'  - '<value-of select="@inversionInd"/>'</assert>
   </rule>
</pattern>
