<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.92
Name: Trasferimento Post Dimissione (VPS)
Description: Trasferimento Post Dimissione  Elemento OPZIONALE atto a riportare la collocazione del paziente post dimissione, nel caso di paziente trasferito in altra sede. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000">
   <title>Trasferimento Post Dimissione (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.92
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]
Item: (Trasferimento_Post_Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.92
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]
Item: (Trasferimento_Post_Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]"
         id="d42e15840-false-d365692e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="string(@classCode) = ('TRNS')">(Trasferimento_Post_Dimissione): The value for classCode SHALL be 'TRNS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN')">(Trasferimento_Post_Dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']) &gt;= 1">(Trasferimento_Post_Dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']) &lt;= 1">(Trasferimento_Post_Dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="count(hl7:text) &lt;= 1">(Trasferimento_Post_Dimissione): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Trasferimento_Post_Dimissione): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Trasferimento_Post_Dimissione): element hl7:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.92
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']
Item: (Trasferimento_Post_Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']"
         id="d42e15850-false-d365751e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.92')">(Trasferimento_Post_Dimissione): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.92'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.92
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:id
Item: (Trasferimento_Post_Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.92
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:text
Item: (Trasferimento_Post_Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.92
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:effectiveTime
Item: (Trasferimento_Post_Dimissione)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.92
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]
Item: (Trasferimento_Post_Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]">
      <extends rule="d365808e0-false-d365812e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="@typeCode">(Trasferimento_Post_Dimissione): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (('LOC')))])">(Trasferimento_Post_Dimissione): The value for typeCode SHALL be 'code LOC'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.64
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]
Item: (Collocazione_paziente_post_dimissione)
-->
   <rule fpi="RULC-1" id="d365808e0-false-d365812e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.64-2018-03-19T000000.html"
              test="count(hl7:time) &lt;= 1">(Collocazione_paziente_post_dimissione): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.64-2018-03-19T000000.html"
              test="count(hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]) &gt;= 1">(Collocazione_paziente_post_dimissione): element hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.64-2018-03-19T000000.html"
              test="count(hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]) &lt;= 1">(Collocazione_paziente_post_dimissione): element hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.64
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]/hl7:time
Item: (Collocazione_paziente_post_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.64
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]
Item: (Collocazione_paziente_post_dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.64-2018-03-19T000000.html"
              test="string(@classCode) = ('SDLOC') or not(@classCode)">(Collocazione_paziente_post_dimissione): The value for classCode SHALL be 'SDLOC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.64-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']) &gt;= 1">(Collocazione_paziente_post_dimissione): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.64-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']) &lt;= 1">(Collocazione_paziente_post_dimissione): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.64-2018-03-19T000000.html"
              test="count(hl7:id) &gt;= 1">(Collocazione_paziente_post_dimissione): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.64-2018-03-19T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Collocazione_paziente_post_dimissione): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.64
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']
Item: (Collocazione_paziente_post_dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.64-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.6')">(Collocazione_paziente_post_dimissione): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.6'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.64
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]/hl7:id
Item: (Collocazione_paziente_post_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.64
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Collocazione_paziente_post_dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:participant[hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]]/hl7:participantRole[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.6']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.64-2018-03-19T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.11-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Collocazione_paziente_post_dimissione): The element value SHALL be one of '2.16.840.1.113883.2.9.1.11.1.2.11 TipoLuogoPostDimissione_VPS v1.0 (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.92
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.68']]]
Item: (Trasferimento_Post_Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.68']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.html"
              test="string(@typeCode) = ('RSON')">(Trasferimento_Post_Dimissione): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
