<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Name: Accertamenti e Controlli Consigliati (RSA)
Description: Recommendation [Interpretation] Document (LOINC: 62385-0 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000">
   <title>Accertamenti e Controlli Consigliati (RSA)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]]
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]"
         id="d42e16625-false-d472533e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Accertamenti_e_Controlli_Consigliati): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Accertamenti_e_Controlli_Consigliati): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']) &gt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '62385-0 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:code[(@code = '62385-0 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Accertamenti_e_Controlli_Consigliati): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']"
         id="d42e16631-false-d472584e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.9.3.13')">(Accertamenti_e_Controlli_Consigliati): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.9.3.13'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]/hl7:id
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]/hl7:code[(@code = '62385-0 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]/hl7:code[(@code = '62385-0 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e16638-false-d472604e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.html"
              test="@nullFlavor or (@code='62385-0 ' and @codeSystem='2.16.840.1.113883.6.1')">(Accertamenti_e_Controlli_Consigliati): The element value SHALL be one of 'code '62385-0 ' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]/hl7:title
Item: (Accertamenti_e_Controlli_Consigliati)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.13
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.13']]/hl7:text
Item: (Accertamenti_e_Controlli_Consigliati)
-->
</pattern>
