<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.9.3.14
Name: Terapia Farmacologica Consigliata (RSA)
Description: Terapia Farmacologica Consigliata 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000">
   <title>Terapia Farmacologica Consigliata (RSA)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]]
Item: (Terapia_Farmacologica_Consigliata)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]
Item: (Terapia_Farmacologica_Consigliata)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]"
         id="d42e16665-false-d472651e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Terapia_Farmacologica_Consigliata): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Terapia_Farmacologica_Consigliata): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']) &gt;= 1">(Terapia_Farmacologica_Consigliata): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']) &lt;= 1">(Terapia_Farmacologica_Consigliata): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Terapia_Farmacologica_Consigliata): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '75311-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Terapia_Farmacologica_Consigliata): element hl7:code[(@code = '75311-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Terapia_Farmacologica_Consigliata): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Terapia_Farmacologica_Consigliata): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']
Item: (Terapia_Farmacologica_Consigliata)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']"
         id="d42e16671-false-d472702e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.9.3.14')">(Terapia_Farmacologica_Consigliata): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.9.3.14'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]/hl7:id
Item: (Terapia_Farmacologica_Consigliata)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]/hl7:code[(@code = '75311-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Terapia_Farmacologica_Consigliata)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]/hl7:code[(@code = '75311-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e16678-false-d472722e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.html"
              test="@nullFlavor or (@code='75311-1 ' and @codeSystem='2.16.840.1.113883.6.1')">(Terapia_Farmacologica_Consigliata): The element value SHALL be one of 'code '75311-1 ' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]/hl7:title
Item: (Terapia_Farmacologica_Consigliata)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.14
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.14']]/hl7:text
Item: (Terapia_Farmacologica_Consigliata)
-->
</pattern>
