<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Name: Precedenti Esami Eseguiti (RSA)
Description: Precedenti Esami Eseguiti 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000">
   <title>Precedenti Esami Eseguiti (RSA)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]]
Item: (Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]
Item: (Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]"
         id="d42e16826-false-d473123e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Precedenti_Esami_Eseguiti): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Precedenti_Esami_Eseguiti): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']) &gt;= 1">(Precedenti_Esami_Eseguiti): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:code[(@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Precedenti_Esami_Eseguiti): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']
Item: (Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']"
         id="d42e16832-false-d473174e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.9.3.5')">(Precedenti_Esami_Eseguiti): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.9.3.5'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]/hl7:id
Item: (Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]/hl7:code[(@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Precedenti_Esami_Eseguiti)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]/hl7:code[(@code = '30954-2 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e16839-false-d473194e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.html"
              test="@nullFlavor or (@code='30954-2 ' and @codeSystem='2.16.840.1.113883.6.1')">(Precedenti_Esami_Eseguiti): The element value SHALL be one of 'code '30954-2 ' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]/hl7:title
Item: (Precedenti_Esami_Eseguiti)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.5']]/hl7:text
Item: (Precedenti_Esami_Eseguiti)
-->
</pattern>
