<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.192
Name: Oggetti correlati - Oss. Macro. - RAP
Description: Template CDA ObservationMedia (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602">
   <title>Oggetti correlati - Oss. Macro. - RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.192
Context: *[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]]
Item: (OggetticorrelatiOssMacroRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.192
Context: *[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]
Item: (OggetticorrelatiOssMacroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]"
         id="d42e30988-false-d701889e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.html"
              test="not(@classCode) or (string-length(@classCode) &gt; 0 and not(matches(@classCode,'\s')))">(OggetticorrelatiOssMacroRAP): Attribute @classCode SHALL be of data type 'cs'  - '<value-of select="@classCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(OggetticorrelatiOssMacroRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']) &gt;= 1">(OggetticorrelatiOssMacroRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']) &lt;= 1">(OggetticorrelatiOssMacroRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.html"
              test="count(hl7:value) &gt;= 1">(OggetticorrelatiOssMacroRAP): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.html"
              test="count(hl7:value) &lt;= 1">(OggetticorrelatiOssMacroRAP): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.192
Context: *[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']
Item: (OggetticorrelatiOssMacroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']"
         id="d42e31001-false-d701922e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.192')">(OggetticorrelatiOssMacroRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.192'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.192
Context: *[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]/hl7:value
Item: (OggetticorrelatiOssMacroRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]]/hl7:observationMedia[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.192']]/hl7:value"
         id="d42e31006-false-d701933e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.html"
              test="string(@representation) = ('B64')">(OggetticorrelatiOssMacroRAP): The value for representation SHALL be 'B64'. Found: "<value-of select="@representation"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.html"
              test="@mediaType">(OggetticorrelatiOssMacroRAP): attribute @mediaType SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.html"
              test="not(@mediaType) or string-length(@mediaType)&gt;0">(OggetticorrelatiOssMacroRAP): Attribute @mediaType SHALL be of data type 'st'  - '<value-of select="@mediaType"/>'</assert>
   </rule>
</pattern>
