<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.26
Name: Esenzioni_prova
Description: Physical Examination (LOINC: 29545-1 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052">
   <title>Esenzioni_prova</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]
Item: (Esenzioni_prova)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]
Item: (Esenzioni_prova)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]"
         id="d42e36619-false-d760913e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="string(@classCode) = ('DOCSECT')">(Esenzioni_prova): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="string(@moodCode) = ('EVN')">(Esenzioni_prova): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']) &gt;= 1">(Esenzioni_prova): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']) &lt;= 1">(Esenzioni_prova): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="count(hl7:id) &lt;= 1">(Esenzioni_prova): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="count(hl7:code[(@code = '29545-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Esenzioni_prova): element hl7:code[(@code = '29545-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="count(hl7:title) &lt;= 1">(Esenzioni_prova): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="count(hl7:text) &lt;= 1">(Esenzioni_prova): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="count(hl7:entry) &gt;= 1">(Esenzioni_prova): element hl7:entry is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="count(hl7:entry) &lt;= 1">(Esenzioni_prova): element hl7:entry appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']
Item: (Esenzioni_prova)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']"
         id="d42e36625-false-d760972e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.5.3.4')">(Esenzioni_prova): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.5.3.4'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:id
Item: (Esenzioni_prova)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:code[(@code = '29545-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Esenzioni_prova)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:code[(@code = '29545-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e36632-false-d760992e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.html"
              test="@nullFlavor or (@code='29545-1 ' and @codeSystem='2.16.840.1.113883.6.1')">(Esenzioni_prova): The element value SHALL be one of 'code '29545-1 ' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:title
Item: (Esenzioni_prova)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:text
Item: (Esenzioni_prova)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.26
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:entry
Item: (Esenzioni_prova)
-->
</pattern>
