<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Erogazione Specialistica  Erogazione Specialistica  (2.16.840.1.113883.3.1937.777.63.4.22 2023-02-15T00:00:00)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:ihe:pcc:hl7v3" prefix="ihe"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario ErogSpV1.0 -->

   <!-- ErogazioneFarmaceutica -->
   <pattern>
      <title>ErogazioneFarmaceutica</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.13.1.2'][@extension = '1.0']]"
                 see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.13.1.2-2023-02-14T162450.html">(ErogazioneFarmaceutica): Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.13.1.2'][@extension = '1.0']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.9.10.1.13.1.2-2023-02-14T162450.sch"/>
   <include href="include/2.16.840.1.113883.2.9.10.1.13.1.2-2023-02-14T162450-closed.sch"/>


   <!-- Create phases for more targeted validation on large instances -->
   <phase id="AllExceptClosed">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.13.1.2-2023-02-14T162450"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.1-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.2-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.3-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.4-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.2.1-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.4-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.5-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.2.1-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.2.2-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000"/>
      <active pattern="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.201-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.301-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.302-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.303-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.304-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.305-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.306-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.307-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.308-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.10.12.309-2005-09-07T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.1-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.10-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.12-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.13-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.5-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.7-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.9-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.4.1-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.4.2-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.4.3-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.4.4-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.34-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.47-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.52-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.68-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.86-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.1-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.10-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.11-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.12-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.3-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.4-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.6-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.9-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.1-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.10-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.2-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.3-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.4-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.5-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.6-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.7-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.8-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.9-2018-04-11T000000"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.10-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.130-2022-09-20T174017"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.131-2022-09-21T111356"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.133-2022-09-21T134422"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.134-2022-09-21T135114"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.138-2022-09-21T161610"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.140-2022-09-21T163915"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.146-2022-09-22T085632"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.147-2022-09-22T094922"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.148-2022-09-22T103837"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.150-2022-09-22T110216"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.153-2022-09-22T154620"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.154-2022-09-23T151941"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.155-2022-09-25T131720"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.156-2022-09-25T132816"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.167-2022-09-25T202731"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.169-2022-09-25T210055"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.170-2022-09-25T211318"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.173-2022-09-26T144847"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.175-2022-09-26T150417"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.177-2022-09-26T151825"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.180-2022-09-26T155316"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.181-2022-09-26T155738"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.182-2022-09-26T155821"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.183-2022-09-26T161142"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.184-2022-09-26T164206"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.185-2022-09-26T164231"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.186-2022-09-26T165549"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.188-2022-09-26T171419"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.189-2022-09-26T172106"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.190-2022-09-26T173349"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.191-2022-09-26T173438"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.194-2022-09-26T182326"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.198-2022-09-27T112127"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.199-2022-09-27T112135"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.201-2022-09-27T120914"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.203-2022-09-27T120954"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.204-2022-09-27T121519"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.207-2022-09-27T122541"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.208-2022-09-27T122816"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.211-2022-09-27T123552"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.212-2022-09-27T124904"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.213-2022-09-27T125243"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.219-2022-09-27T150905"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.22-2022-06-23T140437"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.220-2022-09-27T151552"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.221-2022-09-27T151918"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.223-2022-09-27T153611"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.224-2022-09-27T153750"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.227-2022-09-27T154637"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.228-2022-09-27T154826"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.229-2022-09-27T155233"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.230-2022-09-27T155547"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.231-2022-09-27T160149"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.233-2022-09-27T162254"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.234-2022-09-27T162405"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.238-2022-10-03T121104"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.24-2022-06-23T142634"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.244-2022-10-05T181128"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.245-2022-10-05T181724"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.246-2022-10-05T182359"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.247-2022-10-05T182953"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.25-2022-06-23T144556"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.250-2022-10-06T085751"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.257-2022-10-06T102014"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.258-2022-10-06T103102"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.261-2022-10-27T120533"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.262-2022-10-27T222853"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.316-2023-05-03T195254"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.317-2023-05-03T200614"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.319-2023-05-04T105332"/>
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.88-2022-07-13T070601"/>
   </phase>
   <phase id="ErogazioneFarmaceutica">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.13.1.2-2023-02-14T162450"/>
   </phase>
   <phase id="ErogazioneFarmaceutica-closed">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.13.1.2-2023-02-14T162450-closed"/>
   </phase>
   <phase id="NotificationOrganizer">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1-2008-08-08T000000"/>
   </phase>
   <phase id="NotifiableCondition">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.1-2008-08-08T000000"/>
   </phase>
   <phase id="Caseidentification">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.2-2008-08-08T000000"/>
   </phase>
   <phase id="Outbreakidentification">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.1.3-2008-08-08T000000"/>
   </phase>
   <phase id="SpecimenCollection">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000"/>
   </phase>
   <phase id="SpecimenReceived">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000"/>
   </phase>
   <phase id="LaboratoryBatteryOrganizer">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.4-2008-08-08T000000"/>
   </phase>
   <phase id="LaboratoryIsolateOrganizer">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000"/>
   </phase>
   <phase id="LaboratoryObservation">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000"/>
   </phase>
   <phase id="Nonhumansubjectrecordtarget">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000"/>
   </phase>
   <phase id="NonHumanSubject">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.2.1-2008-08-08T000000"/>
   </phase>
   <phase id="Humanpatientwithnonhumansubjectrecordtarget">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000"/>
   </phase>
   <phase id="Humanpatientwithnonhumansubject">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000"/>
   </phase>
   <phase id="InformationRecipient">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.4-2008-08-08T000000"/>
   </phase>
   <phase id="Laboratoryresultsvalidator">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.5-2008-08-08T000000"/>
   </phase>
   <phase id="LaboratoryPerformer">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000"/>
   </phase>
   <phase id="Laboratoryspecialtysection">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.2.1-2008-08-08T000000"/>
   </phase>
   <phase id="Laboratoryreportitemsection">
      <active pattern="template-1.3.6.1.4.1.19376.1.3.3.2.2-2008-08-08T000000"/>
   </phase>
   <phase id="AnnotationComment">
      <active pattern="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000"/>
   </phase>
   <phase id="IHECommentEntry">
      <active pattern="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000"/>
   </phase>
   <phase id="CDASection-20050907T000000">
      <active pattern="template-2.16.840.1.113883.10.12.201-2005-09-07T000000"/>
   </phase>
   <phase id="CDAAct">
      <active pattern="template-2.16.840.1.113883.10.12.301-2005-09-07T000000"/>
   </phase>
   <phase id="CDAEncounter">
      <active pattern="template-2.16.840.1.113883.10.12.302-2005-09-07T000000"/>
   </phase>
   <phase id="CDAObservation-20050907T000000">
      <active pattern="template-2.16.840.1.113883.10.12.303-2005-09-07T000000"/>
   </phase>
   <phase id="CDAObservationMedia">
      <active pattern="template-2.16.840.1.113883.10.12.304-2005-09-07T000000"/>
   </phase>
   <phase id="CDAOrganizer">
      <active pattern="template-2.16.840.1.113883.10.12.305-2005-09-07T000000"/>
   </phase>
   <phase id="CDAProcedure">
      <active pattern="template-2.16.840.1.113883.10.12.306-2005-09-07T000000"/>
   </phase>
   <phase id="CDARegionOfInterest">
      <active pattern="template-2.16.840.1.113883.10.12.307-2005-09-07T000000"/>
   </phase>
   <phase id="CDASubstanceAdministration">
      <active pattern="template-2.16.840.1.113883.10.12.308-2005-09-07T000000"/>
   </phase>
   <phase id="CDASupply">
      <active pattern="template-2.16.840.1.113883.10.12.309-2005-09-07T000000"/>
   </phase>
   <phase id="Motivo_del_ricovero">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.1-2018-04-11T000000"/>
   </phase>
   <phase id="Terapia_farmacologica_effettuata_durante_il_ricovero">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.10-2018-04-11T000000"/>
   </phase>
   <phase id="Condizioni_del_paziente_e_diagnosi_alla_dimissione">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000"/>
   </phase>
   <phase id="Terapia_farmacologica_alla_dimissione-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.12-2018-04-11T000000"/>
   </phase>
   <phase id="Istruzioni_di_follow-up">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.13-2018-04-11T000000"/>
   </phase>
   <phase id="Inquadramento_clinico_iniziale">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000"/>
   </phase>
   <phase id="Anamnesi">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000"/>
   </phase>
   <phase id="Esame_Obiettivo-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000"/>
   </phase>
   <phase id="Terapia_Farmacologica_allIngresso">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.5-2018-04-11T000000"/>
   </phase>
   <phase id="Decorso_Ospedaliero">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000"/>
   </phase>
   <phase id="Riscontri_ed_accertamenti_significativi">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.7-2018-04-11T000000"/>
   </phase>
   <phase id="Procedure_eseguite_durante_il_ricovero">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000"/>
   </phase>
   <phase id="Allergie-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.3.9-2018-04-11T000000"/>
   </phase>
   <phase id="Diagnosi_di_ammissione">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.4.1-2018-04-11T000000"/>
   </phase>
   <phase id="Terapia_farmacologica_somministrata">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.4.2-2018-04-11T000000"/>
   </phase>
   <phase id="Diagnosi_di_dimissione">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.4.3-2018-04-11T000000"/>
   </phase>
   <phase id="Terapia_farmacologica_richiesta">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.5.4.4-2018-04-11T000000"/>
   </phase>
   <phase id="Dimissione-20180319T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000"/>
   </phase>
   <phase id="Terapia_farmacologica_in_Pronto_Soccorso">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000"/>
   </phase>
   <phase id="Piano_di_cura_alla_dimissione">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.34-2018-03-19T000000"/>
   </phase>
   <phase id="Note_dimissione_Commento">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.47-2018-03-19T000000"/>
   </phase>
   <phase id="Encounter_Activity">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000"/>
   </phase>
   <phase id="Terapie_Farmacologiche">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.52-2018-03-19T000000"/>
   </phase>
   <phase id="Prognosi">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000"/>
   </phase>
   <phase id="Dimissione-20180319T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000"/>
   </phase>
   <phase id="Post_Dimissione">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000"/>
   </phase>
   <phase id="Ragione">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.68-2018-03-19T000000"/>
   </phase>
   <phase id="Esito">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000"/>
   </phase>
   <phase id="Diagnosi_Dimissione">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000"/>
   </phase>
   <phase id="Livello_Appropriatezza">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000"/>
   </phase>
   <phase id="Richiesta_autopsia">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000"/>
   </phase>
   <phase id="Terapia_farmacologica_alla_dimissione-20180319T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000"/>
   </phase>
   <phase id="Data_decesso">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.86-2018-03-19T000000"/>
   </phase>
   <phase id="Parametri_Vitali">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000"/>
   </phase>
   <phase id="Trasferimento_Post_Dimissione">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000"/>
   </phase>
   <phase id="Quesito_Diagnostico">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.1-2018-04-11T000000"/>
   </phase>
   <phase id="Diagnosi-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.10-2018-04-11T000000"/>
   </phase>
   <phase id="Conclusioni">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.11-2018-04-11T000000"/>
   </phase>
   <phase id="Suggerimenti_Per_Il_Medico_Prescrittore">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.12-2018-04-11T000000"/>
   </phase>
   <phase id="Accertamenti_e_Controlli_Consigliati-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000"/>
   </phase>
   <phase id="Terapia_Farmacologica_Consigliata-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000"/>
   </phase>
   <phase id="Storia_Clinica">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000"/>
   </phase>
   <phase id="Allergie-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.3-2018-04-11T000000"/>
   </phase>
   <phase id="Terapia_Farmacologica_In_Atto-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.4-2018-04-11T000000"/>
   </phase>
   <phase id="Precedenti_Esami_Eseguiti">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000"/>
   </phase>
   <phase id="Esame_Obiettivo-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.6-2018-04-11T000000"/>
   </phase>
   <phase id="Prestazioni">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000"/>
   </phase>
   <phase id="Confronto_Con_Precedenti_Esami_Eseguiti">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000"/>
   </phase>
   <phase id="Referto">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.3.9-2018-04-11T000000"/>
   </phase>
   <phase id="Motivo_della_visita">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.1-2018-04-11T000000"/>
   </phase>
   <phase id="Terapia_Farmacologica_Consigliata-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.10-2018-04-11T000000"/>
   </phase>
   <phase id="Terapia_Farmacologica_In_Atto-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.2-2018-04-11T000000"/>
   </phase>
   <phase id="Prestazioni_Amministrative_Eseguite">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.3-2018-04-11T000000"/>
   </phase>
   <phase id="Procedura_Operativa_Eseguita_Procedure">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.4-2018-04-11T000000"/>
   </phase>
   <phase id="Procedura_Operativa_Eseguita_SubstanceAdministration">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.5-2018-04-11T000000"/>
   </phase>
   <phase id="Procedura_Operativa_Eseguita_Observation">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.6-2018-04-11T000000"/>
   </phase>
   <phase id="Procedura_Operativa_Eseguita_Act">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.7-2018-04-11T000000"/>
   </phase>
   <phase id="Diagnosi-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.8-2018-04-11T000000"/>
   </phase>
   <phase id="Accertamenti_e_Controlli_Consigliati-20180411T000000">
      <active pattern="template-2.16.840.1.113883.2.9.10.1.9.4.9-2018-04-11T000000"/>
   </phase>
   <phase id="Terapie_Farmacologiche_dimissione">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.10-2018-03-19T000000"/>
   </phase>
   <phase id="Controlli">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000"/>
   </phase>
   <phase id="QuesitoDiagnosticoRAP-20220920T174017">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.130-2022-09-20T174017"/>
   </phase>
   <phase id="QuesitoDiagnosticoRAP-20220921T111356">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.131-2022-09-21T111356"/>
   </phase>
   <phase id="focalitaRad">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.133-2022-09-21T134422"/>
   </phase>
   <phase id="DimensTumoreRad">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.134-2022-09-21T135114"/>
   </phase>
   <phase id="AFP-20220921T135439">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439"/>
   </phase>
   <phase id="AFam-20220921T161610">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.138-2022-09-21T161610"/>
   </phase>
   <phase id="CDAProcedureRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.140-2022-09-21T163915"/>
   </phase>
   <phase id="TipocampioneRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.146-2022-09-22T085632"/>
   </phase>
   <phase id="Procedura_dissezione_campione_RAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.147-2022-09-22T094922"/>
   </phase>
   <phase id="ProceduradissezionecampioneRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.148-2022-09-22T103837"/>
   </phase>
   <phase id="OsservazioneMacroscopicaRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.150-2022-09-22T110216"/>
   </phase>
   <phase id="ProceduraprelievocampioniRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524"/>
   </phase>
   <phase id="AllergieRAP-20220922T154620">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.153-2022-09-22T154620"/>
   </phase>
   <phase id="ProceduracolorazionecampioneRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.154-2022-09-23T151941"/>
   </phase>
   <phase id="AllergieRAP-20220925T131720">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.155-2022-09-25T131720"/>
   </phase>
   <phase id="allergieRAP-20220925T132816">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.156-2022-09-25T132816"/>
   </phase>
   <phase id="precExamEsegRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.167-2022-09-25T202731"/>
   </phase>
   <phase id="terapFarmacPregRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.169-2022-09-25T210055"/>
   </phase>
   <phase id="entryTerapRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.170-2022-09-25T211318"/>
   </phase>
   <phase id="SitoTumoreRad">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.173-2022-09-26T144847"/>
   </phase>
   <phase id="TerapiaOncologicapregressaRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.175-2022-09-26T150417"/>
   </phase>
   <phase id="EstensionTumoreRad">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.177-2022-09-26T151825"/>
   </phase>
   <phase id="FocalitaRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745"/>
   </phase>
   <phase id="Precedentitrattamentiprocedureregresse">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.180-2022-09-26T155316"/>
   </phase>
   <phase id="DimensionedeltumoreRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.181-2022-09-26T155738"/>
   </phase>
   <phase id="TipoistologicoRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.182-2022-09-26T155821"/>
   </phase>
   <phase id="ProcedureRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.183-2022-09-26T161142"/>
   </phase>
   <phase id="IndaginiRadiologicheRAP-20220926T164206">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.184-2022-09-26T164206"/>
   </phase>
   <phase id="Sitodeltumore">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.185-2022-09-26T164231"/>
   </phase>
   <phase id="IndaginiRadiologicheRAP-20220926T165549">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.186-2022-09-26T165549"/>
   </phase>
   <phase id="PesodelTumoreOssMAcroRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345"/>
   </phase>
   <phase id="Altreinformazionicliniche">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.188-2022-09-26T171419"/>
   </phase>
   <phase id="EstensionedelTumoreOssMacroRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.189-2022-09-26T172106"/>
   </phase>
   <phase id="StatodelmargineRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.190-2022-09-26T173349"/>
   </phase>
   <phase id="OggetticorrelatiOssMacroRAP-20220926T173438">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.191-2022-09-26T173438"/>
   </phase>
   <phase id="OggetticorrelatiOssMacroRAP-20220926T173602">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602"/>
   </phase>
   <phase id="OsservazioneMicroscopicaRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.194-2022-09-26T182326"/>
   </phase>
   <phase id="DimensionedeltumoremicroRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.198-2022-09-27T112127"/>
   </phase>
   <phase id="AnalisiSupplementaricampioniRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.199-2022-09-27T112135"/>
   </phase>
   <phase id="EsenzioniPrFentry">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230"/>
   </phase>
   <phase id="EstensionedelTumoreMicroRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010"/>
   </phase>
   <phase id="SitodiinvasioneMicroRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.201-2022-09-27T120914"/>
   </phase>
   <phase id="codiceformulatumoreRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.203-2022-09-27T120954"/>
   </phase>
   <phase id="ProfonditadiInvasioneMicroRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.204-2022-09-27T121519"/>
   </phase>
   <phase id="dimensLinfonodiExam">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450"/>
   </phase>
   <phase id="CDAObservation-20220927T122541">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.207-2022-09-27T122541"/>
   </phase>
   <phase id="OggetticorrelatiOssMicroRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.208-2022-09-27T122816"/>
   </phase>
   <phase id="stadiazionepostterapiaRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350"/>
   </phase>
   <phase id="CDASection-20220927T123552">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.211-2022-09-27T123552"/>
   </phase>
   <phase id="linfInteress">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.212-2022-09-27T124904"/>
   </phase>
   <phase id="CDASection-20220927T125243">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.213-2022-09-27T125243"/>
   </phase>
   <phase id="StadiazioneautopsiaRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722"/>
   </phase>
   <phase id="linfMicroMetastasi">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.219-2022-09-27T150905"/>
   </phase>
   <phase id="CDASection-20220623T140437">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.22-2022-06-23T140437"/>
   </phase>
   <phase id="CDASection-20220927T151552">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.220-2022-09-27T151552"/>
   </phase>
   <phase id="linfMacroMetastasi">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.221-2022-09-27T151918"/>
   </phase>
   <phase id="CategoriaCRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.223-2022-09-27T153611"/>
   </phase>
   <phase id="CategoriaNRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.224-2022-09-27T153750"/>
   </phase>
   <phase id="linfCellTumorIsolate">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809"/>
   </phase>
   <phase id="CategoriaMRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.227-2022-09-27T154637"/>
   </phase>
   <phase id="CategoriaVRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.228-2022-09-27T154826"/>
   </phase>
   <phase id="CategoriaGRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.229-2022-09-27T155233"/>
   </phase>
   <phase id="EsenzioniPrFsection-20220623T140521">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521"/>
   </phase>
   <phase id="CategoriaSRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.230-2022-09-27T155547"/>
   </phase>
   <phase id="CategoriaLRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.231-2022-09-27T160149"/>
   </phase>
   <phase id="Statodeltumoreresiduale">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339"/>
   </phase>
   <phase id="CategroiaRRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.233-2022-09-27T162254"/>
   </phase>
   <phase id="dimCelluleTumoraliIsolate">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.234-2022-09-27T162405"/>
   </phase>
   <phase id="pesoTumoreRad">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.238-2022-10-03T121104"/>
   </phase>
   <phase id="Esenzioni_PrF_entry_2">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.24-2022-06-23T142634"/>
   </phase>
   <phase id="TopografiaRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.244-2022-10-05T181128"/>
   </phase>
   <phase id="MorfologiaComportamentoRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.245-2022-10-05T181724"/>
   </phase>
   <phase id="ScalaValutazioneRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.246-2022-10-05T182359"/>
   </phase>
   <phase id="ImmunofenotipoRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.247-2022-10-05T182953"/>
   </phase>
   <phase id="OsservazioneAddizionaleRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901"/>
   </phase>
   <phase id="cellTumoraliIsolate">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704"/>
   </phase>
   <phase id="EsenzioniApplicate">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.25-2022-06-23T144556"/>
   </phase>
   <phase id="dimCelluleTumIs">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.250-2022-10-06T085751"/>
   </phase>
   <phase id="PesoCampioneRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842"/>
   </phase>
   <phase id="OggettiCorrelatiRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.257-2022-10-06T102014"/>
   </phase>
   <phase id="NumeroPrelieviRAP">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.258-2022-10-06T103102"/>
   </phase>
   <phase id="Esenzioni_prova">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052"/>
   </phase>
   <phase id="CDAObservation-20221027T120533">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.261-2022-10-27T120533"/>
   </phase>
   <phase id="CDAObservation-20221027T222853">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.262-2022-10-27T222853"/>
   </phase>
   <phase id="EsenzioniPrFsection-20220627T081405">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405"/>
   </phase>
   <phase id="AFP-20230503T195254">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.316-2023-05-03T195254"/>
   </phase>
   <phase id="AFam-20230503T200614">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.317-2023-05-03T200614"/>
   </phase>
   <phase id="allergieRAP-20230504T105332">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.319-2023-05-04T105332"/>
   </phase>
   <phase id="EsenzioniPrFsection-20220713T070601">
      <active pattern="template-2.16.840.1.113883.3.1937.777.63.10.88-2022-07-13T070601"/>
   </phase>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- NotificationOrganizer -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.1-2008-08-08T000000.sch"/>
   <!-- NotifiableCondition -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.1.1-2008-08-08T000000.sch"/>
   <!-- Caseidentification -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.1.2-2008-08-08T000000.sch"/>
   <!-- Outbreakidentification -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.1.3-2008-08-08T000000.sch"/>
   <!-- SpecimenCollection -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.2-2008-08-08T000000.sch"/>
   <!-- SpecimenReceived -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000.sch"/>
   <!-- LaboratoryBatteryOrganizer -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.4-2008-08-08T000000.sch"/>
   <!-- LaboratoryIsolateOrganizer -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.5-2008-08-08T000000.sch"/>
   <!-- LaboratoryObservation -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.sch"/>
   <!-- Nonhumansubjectrecordtarget -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.2-2008-08-08T000000.sch"/>
   <!-- NonHumanSubject -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.2.1-2008-08-08T000000.sch"/>
   <!-- Humanpatientwithnonhumansubjectrecordtarget -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.3-2008-08-08T000000.sch"/>
   <!-- Humanpatientwithnonhumansubject -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.3.1-2009-12-04T000000.sch"/>
   <!-- InformationRecipient -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.4-2008-08-08T000000.sch"/>
   <!-- Laboratoryresultsvalidator -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.5-2008-08-08T000000.sch"/>
   <!-- LaboratoryPerformer -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.1.7-2008-08-08T000000.sch"/>
   <!-- Laboratoryspecialtysection -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.2.1-2008-08-08T000000.sch"/>
   <!-- Laboratoryreportitemsection -->
   <include href="include/1.3.6.1.4.1.19376.1.3.3.2.2-2008-08-08T000000.sch"/>
   <!-- AnnotationComment -->
   <include href="include/1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.sch"/>
   <!-- IHECommentEntry -->
   <include href="include/1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000.sch"/>
   <!-- CDASection -->
   <include href="include/2.16.840.1.113883.10.12.201-2005-09-07T000000.sch"/>
   <!-- CDAAct -->
   <include href="include/2.16.840.1.113883.10.12.301-2005-09-07T000000.sch"/>
   <!-- CDAEncounter -->
   <include href="include/2.16.840.1.113883.10.12.302-2005-09-07T000000.sch"/>
   <!-- CDAObservation -->
   <include href="include/2.16.840.1.113883.10.12.303-2005-09-07T000000.sch"/>
   <!-- CDAObservationMedia -->
   <include href="include/2.16.840.1.113883.10.12.304-2005-09-07T000000.sch"/>
   <!-- CDAOrganizer -->
   <include href="include/2.16.840.1.113883.10.12.305-2005-09-07T000000.sch"/>
   <!-- CDAProcedure -->
   <include href="include/2.16.840.1.113883.10.12.306-2005-09-07T000000.sch"/>
   <!-- CDARegionOfInterest -->
   <include href="include/2.16.840.1.113883.10.12.307-2005-09-07T000000.sch"/>
   <!-- CDASubstanceAdministration -->
   <include href="include/2.16.840.1.113883.10.12.308-2005-09-07T000000.sch"/>
   <!-- CDASupply -->
   <include href="include/2.16.840.1.113883.10.12.309-2005-09-07T000000.sch"/>
   <!-- Motivo_del_ricovero -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.1-2018-04-11T000000.sch"/>
   <!-- Terapia_farmacologica_effettuata_durante_il_ricovero -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.10-2018-04-11T000000.sch"/>
   <!-- Condizioni_del_paziente_e_diagnosi_alla_dimissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.11-2018-04-11T000000.sch"/>
   <!-- Terapia_farmacologica_alla_dimissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.12-2018-04-11T000000.sch"/>
   <!-- Istruzioni_di_follow-up -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.13-2018-04-11T000000.sch"/>
   <!-- Inquadramento_clinico_iniziale -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.2-2018-04-11T000000.sch"/>
   <!-- Anamnesi -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.3-2018-04-11T000000.sch"/>
   <!-- Esame_Obiettivo -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.sch"/>
   <!-- Terapia_Farmacologica_allIngresso -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.5-2018-04-11T000000.sch"/>
   <!-- Decorso_Ospedaliero -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.sch"/>
   <!-- Riscontri_ed_accertamenti_significativi -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.7-2018-04-11T000000.sch"/>
   <!-- Procedure_eseguite_durante_il_ricovero -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.8-2018-04-11T000000.sch"/>
   <!-- Allergie -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.3.9-2018-04-11T000000.sch"/>
   <!-- Diagnosi_di_ammissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.4.1-2018-04-11T000000.sch"/>
   <!-- Terapia_farmacologica_somministrata -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.4.2-2018-04-11T000000.sch"/>
   <!-- Diagnosi_di_dimissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.4.3-2018-04-11T000000.sch"/>
   <!-- Terapia_farmacologica_richiesta -->
   <include href="include/2.16.840.1.113883.2.9.10.1.5.4.4-2018-04-11T000000.sch"/>
   <!-- Dimissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.24-2018-03-19T000000.sch"/>
   <!-- Terapia_farmacologica_in_Pronto_Soccorso -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.29-2018-03-19T000000.sch"/>
   <!-- Piano_di_cura_alla_dimissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.34-2018-03-19T000000.sch"/>
   <!-- Note_dimissione_Commento -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.47-2018-03-19T000000.sch"/>
   <!-- Encounter_Activity -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.51-2018-03-19T000000.sch"/>
   <!-- Terapie_Farmacologiche -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.52-2018-03-19T000000.sch"/>
   <!-- Prognosi -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.65-2018-03-19T000000.sch"/>
   <!-- Dimissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.sch"/>
   <!-- Post_Dimissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.sch"/>
   <!-- Ragione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.68-2018-03-19T000000.sch"/>
   <!-- Esito -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.69-2018-03-19T000000.sch"/>
   <!-- Diagnosi_Dimissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.sch"/>
   <!-- Livello_Appropriatezza -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.72-2018-03-19T000000.sch"/>
   <!-- Richiesta_autopsia -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.sch"/>
   <!-- Terapia_farmacologica_alla_dimissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.74-2018-03-19T000000.sch"/>
   <!-- Data_decesso -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.86-2018-03-19T000000.sch"/>
   <!-- Parametri_Vitali -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.sch"/>
   <!-- Trasferimento_Post_Dimissione -->
   <include href="include/2.16.840.1.113883.2.9.10.1.6.92-2018-03-19T000000.sch"/>
   <!-- Quesito_Diagnostico -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.1-2018-04-11T000000.sch"/>
   <!-- Diagnosi -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.10-2018-04-11T000000.sch"/>
   <!-- Conclusioni -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.11-2018-04-11T000000.sch"/>
   <!-- Suggerimenti_Per_Il_Medico_Prescrittore -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.12-2018-04-11T000000.sch"/>
   <!-- Accertamenti_e_Controlli_Consigliati -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.13-2018-04-11T000000.sch"/>
   <!-- Terapia_Farmacologica_Consigliata -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.14-2018-04-11T000000.sch"/>
   <!-- Storia_Clinica -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.sch"/>
   <!-- Allergie -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.3-2018-04-11T000000.sch"/>
   <!-- Terapia_Farmacologica_In_Atto -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.4-2018-04-11T000000.sch"/>
   <!-- Precedenti_Esami_Eseguiti -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.5-2018-04-11T000000.sch"/>
   <!-- Esame_Obiettivo -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.6-2018-04-11T000000.sch"/>
   <!-- Prestazioni -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.7-2018-04-11T000000.sch"/>
   <!-- Confronto_Con_Precedenti_Esami_Eseguiti -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.8-2018-04-11T000000.sch"/>
   <!-- Referto -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.3.9-2018-04-11T000000.sch"/>
   <!-- Motivo_della_visita -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.4.1-2018-04-11T000000.sch"/>
   <!-- Terapia_Farmacologica_Consigliata -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.4.10-2018-04-11T000000.sch"/>
   <!-- Terapia_Farmacologica_In_Atto -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.4.2-2018-04-11T000000.sch"/>
   <!-- Prestazioni_Amministrative_Eseguite -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.4.3-2018-04-11T000000.sch"/>
   <!-- Procedura_Operativa_Eseguita_Procedure -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.4.4-2018-04-11T000000.sch"/>
   <!-- Procedura_Operativa_Eseguita_SubstanceAdministration -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.4.5-2018-04-11T000000.sch"/>
   <!-- Procedura_Operativa_Eseguita_Observation -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.4.6-2018-04-11T000000.sch"/>
   <!-- Procedura_Operativa_Eseguita_Act -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.4.7-2018-04-11T000000.sch"/>
   <!-- Diagnosi -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.4.8-2018-04-11T000000.sch"/>
   <!-- Accertamenti_e_Controlli_Consigliati -->
   <include href="include/2.16.840.1.113883.2.9.10.1.9.4.9-2018-04-11T000000.sch"/>
   <!-- Terapie_Farmacologiche_dimissione -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.10-2018-03-19T000000.sch"/>
   <!-- Controlli -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.sch"/>
   <!-- QuesitoDiagnosticoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.130-2022-09-20T174017.sch"/>
   <!-- QuesitoDiagnosticoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.131-2022-09-21T111356.sch"/>
   <!-- focalitaRad -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.133-2022-09-21T134422.sch"/>
   <!-- DimensTumoreRad -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.134-2022-09-21T135114.sch"/>
   <!-- AFP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.135-2022-09-21T135439.sch"/>
   <!-- AFam -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.138-2022-09-21T161610.sch"/>
   <!-- CDAProcedureRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.140-2022-09-21T163915.sch"/>
   <!-- TipocampioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.146-2022-09-22T085632.sch"/>
   <!-- Procedura_dissezione_campione_RAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.147-2022-09-22T094922.sch"/>
   <!-- ProceduradissezionecampioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.148-2022-09-22T103837.sch"/>
   <!-- OsservazioneMacroscopicaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.150-2022-09-22T110216.sch"/>
   <!-- ProceduraprelievocampioniRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.151-2022-09-22T115524.sch"/>
   <!-- AllergieRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.153-2022-09-22T154620.sch"/>
   <!-- ProceduracolorazionecampioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.154-2022-09-23T151941.sch"/>
   <!-- AllergieRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.155-2022-09-25T131720.sch"/>
   <!-- allergieRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.156-2022-09-25T132816.sch"/>
   <!-- precExamEsegRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.167-2022-09-25T202731.sch"/>
   <!-- terapFarmacPregRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.169-2022-09-25T210055.sch"/>
   <!-- entryTerapRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.170-2022-09-25T211318.sch"/>
   <!-- SitoTumoreRad -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.173-2022-09-26T144847.sch"/>
   <!-- TerapiaOncologicapregressaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.175-2022-09-26T150417.sch"/>
   <!-- EstensionTumoreRad -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.177-2022-09-26T151825.sch"/>
   <!-- FocalitaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.sch"/>
   <!-- Precedentitrattamentiprocedureregresse -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.180-2022-09-26T155316.sch"/>
   <!-- DimensionedeltumoreRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.181-2022-09-26T155738.sch"/>
   <!-- TipoistologicoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.182-2022-09-26T155821.sch"/>
   <!-- ProcedureRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.183-2022-09-26T161142.sch"/>
   <!-- IndaginiRadiologicheRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.184-2022-09-26T164206.sch"/>
   <!-- Sitodeltumore -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.185-2022-09-26T164231.sch"/>
   <!-- IndaginiRadiologicheRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.186-2022-09-26T165549.sch"/>
   <!-- PesodelTumoreOssMAcroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.187-2022-09-26T170345.sch"/>
   <!-- Altreinformazionicliniche -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.188-2022-09-26T171419.sch"/>
   <!-- EstensionedelTumoreOssMacroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.189-2022-09-26T172106.sch"/>
   <!-- StatodelmargineRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.190-2022-09-26T173349.sch"/>
   <!-- OggetticorrelatiOssMacroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.191-2022-09-26T173438.sch"/>
   <!-- OggetticorrelatiOssMacroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.192-2022-09-26T173602.sch"/>
   <!-- OsservazioneMicroscopicaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.194-2022-09-26T182326.sch"/>
   <!-- DimensionedeltumoremicroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.198-2022-09-27T112127.sch"/>
   <!-- AnalisiSupplementaricampioniRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.199-2022-09-27T112135.sch"/>
   <!-- EsenzioniPrFentry -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.20-2022-06-23T131230.sch"/>
   <!-- EstensionedelTumoreMicroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.200-2022-09-27T115010.sch"/>
   <!-- SitodiinvasioneMicroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.201-2022-09-27T120914.sch"/>
   <!-- codiceformulatumoreRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.203-2022-09-27T120954.sch"/>
   <!-- ProfonditadiInvasioneMicroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.204-2022-09-27T121519.sch"/>
   <!-- dimensLinfonodiExam -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.206-2022-09-27T122450.sch"/>
   <!-- CDAObservation -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.207-2022-09-27T122541.sch"/>
   <!-- OggetticorrelatiOssMicroRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.208-2022-09-27T122816.sch"/>
   <!-- stadiazionepostterapiaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.210-2022-09-27T123350.sch"/>
   <!-- CDASection -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.211-2022-09-27T123552.sch"/>
   <!-- linfInteress -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.212-2022-09-27T124904.sch"/>
   <!-- CDASection -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.213-2022-09-27T125243.sch"/>
   <!-- StadiazioneautopsiaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.215-2022-09-27T144722.sch"/>
   <!-- linfMicroMetastasi -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.219-2022-09-27T150905.sch"/>
   <!-- CDASection -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.22-2022-06-23T140437.sch"/>
   <!-- CDASection -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.220-2022-09-27T151552.sch"/>
   <!-- linfMacroMetastasi -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.221-2022-09-27T151918.sch"/>
   <!-- CategoriaCRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.223-2022-09-27T153611.sch"/>
   <!-- CategoriaNRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.224-2022-09-27T153750.sch"/>
   <!-- linfCellTumorIsolate -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.sch"/>
   <!-- CategoriaMRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.227-2022-09-27T154637.sch"/>
   <!-- CategoriaVRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.228-2022-09-27T154826.sch"/>
   <!-- CategoriaGRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.229-2022-09-27T155233.sch"/>
   <!-- EsenzioniPrFsection -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.23-2022-06-23T140521.sch"/>
   <!-- CategoriaSRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.230-2022-09-27T155547.sch"/>
   <!-- CategoriaLRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.231-2022-09-27T160149.sch"/>
   <!-- Statodeltumoreresiduale -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.sch"/>
   <!-- CategroiaRRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.233-2022-09-27T162254.sch"/>
   <!-- dimCelluleTumoraliIsolate -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.234-2022-09-27T162405.sch"/>
   <!-- pesoTumoreRad -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.238-2022-10-03T121104.sch"/>
   <!-- Esenzioni_PrF_entry_2 -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.24-2022-06-23T142634.sch"/>
   <!-- TopografiaRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.244-2022-10-05T181128.sch"/>
   <!-- MorfologiaComportamentoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.245-2022-10-05T181724.sch"/>
   <!-- ScalaValutazioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.246-2022-10-05T182359.sch"/>
   <!-- ImmunofenotipoRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.247-2022-10-05T182953.sch"/>
   <!-- OsservazioneAddizionaleRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.sch"/>
   <!-- cellTumoraliIsolate -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.249-2022-10-06T084704.sch"/>
   <!-- EsenzioniApplicate -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.25-2022-06-23T144556.sch"/>
   <!-- dimCelluleTumIs -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.250-2022-10-06T085751.sch"/>
   <!-- PesoCampioneRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.sch"/>
   <!-- OggettiCorrelatiRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.257-2022-10-06T102014.sch"/>
   <!-- NumeroPrelieviRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.258-2022-10-06T103102.sch"/>
   <!-- Esenzioni_prova -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.26-2022-06-23T145052.sch"/>
   <!-- CDAObservation -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.261-2022-10-27T120533.sch"/>
   <!-- CDAObservation -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.262-2022-10-27T222853.sch"/>
   <!-- EsenzioniPrFsection -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.27-2022-06-27T081405.sch"/>
   <!-- AFP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.316-2023-05-03T195254.sch"/>
   <!-- AFam -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.317-2023-05-03T200614.sch"/>
   <!-- allergieRAP -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.319-2023-05-04T105332.sch"/>
   <!-- EsenzioniPrFsection -->
   <include href="include/2.16.840.1.113883.3.1937.777.63.10.88-2022-07-13T070601.sch"/>

</schema>
