<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.5.3.4
Name: Esame Obiettivo (LDO)
Description: Esame Obiettivo 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000">
   <title>Esame Obiettivo (LDO)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.4
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]
Item: (Esame_Obiettivo)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.4
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]
Item: (Esame_Obiettivo)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]"
         id="d42e11065-false-d273084e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Esame_Obiettivo): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Esame_Obiettivo): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']) &gt;= 1">(Esame_Obiettivo): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']) &lt;= 1">(Esame_Obiettivo): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Esame_Obiettivo): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '29545-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Esame_Obiettivo): element hl7:code[(@code = '29545-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Esame_Obiettivo): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Esame_Obiettivo): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.4
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']
Item: (Esame_Obiettivo)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']"
         id="d42e11071-false-d273135e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.5.3.4')">(Esame_Obiettivo): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.5.3.4'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.4
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:id
Item: (Esame_Obiettivo)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.4
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:code[(@code = '29545-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Esame_Obiettivo)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:code[(@code = '29545-1 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e11078-false-d273155e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.4-2018-04-11T000000.html"
              test="@nullFlavor or (@code='29545-1 ' and @codeSystem='2.16.840.1.113883.6.1')">(Esame_Obiettivo): The element value SHALL be one of 'code '29545-1 ' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.4
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:title
Item: (Esame_Obiettivo)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.4
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.4']]/hl7:text
Item: (Esame_Obiettivo)
-->
</pattern>
