<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.5.3.6
Name: Decorso Ospedaliero (LDO)
Description: Decorso Ospedaliero
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000">
   <title>Decorso Ospedaliero (LDO)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]]
Item: (Decorso_Ospedaliero)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]
Item: (Decorso_Ospedaliero)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]"
         id="d42e11146-false-d273320e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Decorso_Ospedaliero): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Decorso_Ospedaliero): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']) &gt;= 1">(Decorso_Ospedaliero): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']) &lt;= 1">(Decorso_Ospedaliero): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Decorso_Ospedaliero): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '8648-8 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Decorso_Ospedaliero): element hl7:code[(@code = '8648-8 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Decorso_Ospedaliero): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Decorso_Ospedaliero): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']
Item: (Decorso_Ospedaliero)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']"
         id="d42e11152-false-d273371e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.5.3.6')">(Decorso_Ospedaliero): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.5.3.6'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]/hl7:id
Item: (Decorso_Ospedaliero)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]/hl7:code[(@code = '8648-8 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Decorso_Ospedaliero)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]/hl7:code[(@code = '8648-8 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e11159-false-d273391e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.5.3.6-2018-04-11T000000.html"
              test="@nullFlavor or (@code='8648-8 ' and @codeSystem='2.16.840.1.113883.6.1')">(Decorso_Ospedaliero): The element value SHALL be one of 'code '8648-8 ' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]/hl7:title
Item: (Decorso_Ospedaliero)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.5.3.6
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.5.3.6']]/hl7:text
Item: (Decorso_Ospedaliero)
-->
</pattern>
