<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.73
Name: Richiesta autopsia (VPS)
Description: Richiesta autopsia  Elemento OPZIONALE atto a descrivere i dati strutturati della richiesta di autopsia.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000">
   <title>Richiesta autopsia (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.73
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]
Item: (Richiesta_autopsia)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.73
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]
Item: (Richiesta_autopsia)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]"
         id="d42e15224-false-d364304e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="string(@classCode) = ('OBS')">(Richiesta_autopsia): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN')">(Richiesta_autopsia): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']) &gt;= 1">(Richiesta_autopsia): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']) &lt;= 1">(Richiesta_autopsia): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '45477-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Richiesta_autopsia): element hl7:code[(@code = '45477-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '45477-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Richiesta_autopsia): element hl7:code[(@code = '45477-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(Richiesta_autopsia): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Richiesta_autopsia): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="count(hl7:value) &gt;= 1">(Richiesta_autopsia): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="count(hl7:value) &lt;= 1">(Richiesta_autopsia): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.73
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']
Item: (Richiesta_autopsia)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']"
         id="d42e15230-false-d364360e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.73')">(Richiesta_autopsia): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.73'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.73
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]/hl7:id
Item: (Richiesta_autopsia)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.73
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]/hl7:code[(@code = '45477-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Richiesta_autopsia)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]/hl7:code[(@code = '45477-7' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e15237-false-d364380e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="@nullFlavor or (@code='45477-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Advance directive - autopsy request')">(Richiesta_autopsia): The element value SHALL be one of 'code '45477-7' codeSystem '2.16.840.1.113883.6.1' displayName='Advance directive - autopsy request''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.73
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Richiesta_autopsia)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e15246-false-d364394e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.73-2018-03-19T000000.html"
              test="@nullFlavor or (@code='completed')">(Richiesta_autopsia): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.73
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.73']]/hl7:value
Item: (Richiesta_autopsia)
-->
</pattern>
