<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.91
Name: Parametri Vitali (VPS)
Description: Parametri Vitali  Elemento OPZIONALE atto a riportare il valore codificato dei singoli parametri misurati. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000">
   <title>Parametri Vitali (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.91
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]
Item: (Parametri_Vitali)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.91
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]
Item: (Parametri_Vitali)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]"
         id="d42e15782-false-d365534e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="string(@classCode) = ('OBS')">(Parametri_Vitali): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN')">(Parametri_Vitali): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(Parametri_Vitali): Attribute @negationInd SHALL be of data type 'bl'  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']) &gt;= 1">(Parametri_Vitali): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']) &lt;= 1">(Parametri_Vitali): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="count(hl7:code) &gt;= 1">(Parametri_Vitali): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="count(hl7:code) &lt;= 1">(Parametri_Vitali): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(Parametri_Vitali): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Parametri_Vitali): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Parametri_Vitali): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Parametri_Vitali): element hl7:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.91
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']
Item: (Parametri_Vitali)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']"
         id="d42e15790-false-d365595e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.91')">(Parametri_Vitali): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.91'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.91
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]/hl7:id
Item: (Parametri_Vitali)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.91
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]/hl7:code
Item: (Parametri_Vitali)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.91
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Parametri_Vitali)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e15804-false-d365623e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.6.91-2018-03-19T000000.html"
              test="@nullFlavor or (@code='completed')">(Parametri_Vitali): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.91
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]/hl7:effectiveTime
Item: (Parametri_Vitali)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.91
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.91']]/hl7:value
Item: (Parametri_Vitali)
-->
</pattern>
