<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Name: Storia Clinica (RSA)
Description: Storia Clinica 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000">
   <title>Storia Clinica (RSA)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]]
Item: (Storia_Clinica)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]
Item: (Storia_Clinica)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]"
         id="d42e16706-false-d472769e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Storia_Clinica): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Storia_Clinica): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']) &gt;= 1">(Storia_Clinica): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']) &lt;= 1">(Storia_Clinica): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Storia_Clinica): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '11329-0 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Storia_Clinica): element hl7:code[(@code = '11329-0 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Storia_Clinica): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Storia_Clinica): element hl7:text appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']
Item: (Storia_Clinica)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']"
         id="d42e16712-false-d472820e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.9.3.2')">(Storia_Clinica): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.9.3.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]/hl7:id
Item: (Storia_Clinica)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]/hl7:code[(@code = '11329-0 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Storia_Clinica)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]/hl7:code[(@code = '11329-0 ' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e16719-false-d472840e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="@nullFlavor or (@code='11329-0 ' and @codeSystem='2.16.840.1.113883.6.1')">(Storia_Clinica): The element value SHALL be one of 'code '11329-0 ' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]/hl7:title
Item: (Storia_Clinica)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']]/hl7:text
Item: (Storia_Clinica)
-->
</pattern>
