<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.232
Name: Stato del tumore residuale (RAP)
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339">
   <title>Stato del tumore residuale (RAP)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.232
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]
Item: (Statodeltumoreresiduale)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.232
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]
Item: (Statodeltumoreresiduale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]"
         id="d42e34729-false-d730498e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(Statodeltumoreresiduale): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="string(@moodCode) = ('EVN')">(Statodeltumoreresiduale): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']) &gt;= 1">(Statodeltumoreresiduale): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']) &lt;= 1">(Statodeltumoreresiduale): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="count(hl7:code[(@code = '84892-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Statodeltumoreresiduale): element hl7:code[(@code = '84892-9' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="count(hl7:code[(@code = '84892-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Statodeltumoreresiduale): element hl7:code[(@code = '84892-9' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="count(hl7:text) &lt;= 1">(Statodeltumoreresiduale): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(Statodeltumoreresiduale): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Statodeltumoreresiduale): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.6.96']) &lt;= 1">(Statodeltumoreresiduale): element hl7:value[@codeSystem = '2.16.840.1.113883.6.96'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.232
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']
Item: (Statodeltumoreresiduale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']"
         id="d42e34741-false-d730565e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.232')">(Statodeltumoreresiduale): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.232'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.232
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:id
Item: (Statodeltumoreresiduale)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.232
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:code[(@code = '84892-9' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Statodeltumoreresiduale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:code[(@code = '84892-9' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e34749-false-d730585e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="string(@code) = ('84892-9')">(Statodeltumoreresiduale): The value for code SHALL be '84892-9'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Statodeltumoreresiduale): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Statodeltumoreresiduale): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Statodeltumoreresiduale): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.232
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:text
Item: (Statodeltumoreresiduale)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.232
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (Statodeltumoreresiduale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e34776-false-d730618e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Statodeltumoreresiduale): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.10 X_ActStatusActiveSuspendedAbortedCompleted (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.232
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:effectiveTime
Item: (Statodeltumoreresiduale)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.232
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:value[@codeSystem = '2.16.840.1.113883.6.96']
Item: (Statodeltumoreresiduale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.232']]/hl7:value[@codeSystem = '2.16.840.1.113883.6.96']"
         id="d42e34783-false-d730644e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="@code">(Statodeltumoreresiduale): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Statodeltumoreresiduale): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.96')">(Statodeltumoreresiduale): The value for codeSystem SHALL be '2.16.840.1.113883.6.96'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Statodeltumoreresiduale): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230509T122420/tmp-2.16.840.1.113883.3.1937.777.63.10.232-2022-09-27T161339.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Statodeltumoreresiduale): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
</pattern>
